com.aispeech.dui.dds.agent.vprint

## Class VprintListener

- java.lang.Object
- - com.aispeech.dui.dds.agent.vprint.VprintListener

-     public class VprintListener
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VprintListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onError(java.lang.String error)`
    `void` | `onResults(java.lang.String result)`
    `void` | `onState(java.lang.String state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VprintListener

          public VprintListener()

  - ### Method Detail

    - #### onState

          public void onState(java.lang.String state)

    - #### onResults

          public void onResults(java.lang.String result)

    - #### onError

          public void onError(java.lang.String error)